## org.eclipse.datatools.sqltools.data.internal.ui.editor
Class DefaultExternalTableDataWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.datatools.sqltools.data.internal.ui.editor.DefaultExternalTableDataWizard

All Implemented Interfaces:
  IExternalTableDataEditor, org.eclipse.jface.wizard.IWizard

    public class DefaultExternalTableDataWizard

extends org.eclipse.jface.wizard.Wizard
implements IExternalTableDataEditor

The default implementation for the external table data editor.

Author:
  sschaer

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`DefaultExternalTableDataWizard()`

Method Summary
`void` `addPages()` creates the single page for this default wizard.
`void` `externalEdit(ITableDataEditor editor)` initializes the wizard and opens the wizard dialog
`boolean` `performFinish()` Updates the cell data by calling updateRowData() on the default page

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExternalTableDataWizard

    public DefaultExternalTableDataWizard()

Method Detail

### externalEdit

    public void externalEdit(ITableDataEditor editor)

  initializes the wizard and opens the wizard dialog

  Specified by:
    `externalEdit` in interface `IExternalTableDataEditor`
  Parameters:
    `editor` - the TableDataEditor
  See Also:
    `org.eclipse.datatools.sqltools.data.internal.ui.editor.IExternalTableDataEditor#externalEdit(org.eclipse.datatools.sqltools.data.internal.ui.editor.TableDataEditor)`

### addPages

    public void addPages()

  creates the single page for this default wizard. Instead of overwriting this method, subclasses should overwrite createDefaultPage()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `createDefaultPage()`

### performFinish

    public boolean performFinish()

  Updates the cell data by calling updateRowData() on the default page

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `IWizard.performFinish()`, `DefaultExternalTableDataWizardPage.updateRowData()`